---
editUrl: false
next: false
prev: false
title: "single"
---

> **single**\<`T`\>(`cb`): `T`

:::caution[Deprecated]
Creates a singleton object.
:::

## Type parameters

• **T**

## Parameters

• **cb**

## Returns

`T`

## Source

[src/core/ioc.ts:112](https://github.com/sern-handler/handler/blob/3f703c17b88b6add7de919772e7b2a7faffd3910/src/core/ioc.ts#L112)
